org.apache.cxf.transport.common.gzip

## Class GZIPFeature

- java.lang.Object
- - javax.xml.ws.WebServiceFeature
  - - org.apache.cxf.feature.AbstractFeature
    - - org.apache.cxf.transport.common.gzip.GZIPFeature

- All Implemented Interfaces:
    Feature

      public class GZIPFeature
      extends AbstractFeature

  This class is used to control GZIP compression of messages. Attaching this feature to an endpoint will allow the endpoint to handle compressed requests, and will cause outgoing responses to be compressed if the client indicates (via the Accept-Encoding header) that it can handle them.

  Attaching this feature to a client will cause outgoing request messages to be compressed and incoming compressed responses to be uncompressed. Accept-Encoding header is sent to let the service know that your client can accept compressed responses.

- - ### Field Summary

    - ### Fields inherited from class javax.xml.ws.WebServiceFeature

      `enabled`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GZIPFeature()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getForce()` Retrieve the value set with `setForce(boolean)`.
    `int` | `getThreshold()`
    `protected void` | `initializeProvider(InterceptorProvider provider, Bus bus)`
    `void` | `setForce(boolean b)` Set if GZIP is always used without negotiation
    `void` | `setThreshold(int threshold)`

    - ### Methods inherited from class org.apache.cxf.feature.AbstractFeature

      `getActive, getID, initialize, initialize, initialize, initialize`

    - ### Methods inherited from class javax.xml.ws.WebServiceFeature

      `isEnabled`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GZIPFeature

          public GZIPFeature()

  - ### Method Detail

    - #### initializeProvider

          protected void initializeProvider(InterceptorProvider provider,
                                            Bus bus)

      Overrides:
        `initializeProvider` in class `AbstractFeature`

    - #### setThreshold

          public void setThreshold(int threshold)

    - #### getThreshold

          public int getThreshold()

    - #### setForce

          public void setForce(boolean b)

      Set if GZIP is always used without negotiation
      Parameters:
        `b` -

    - #### getForce

          public boolean getForce()

      Retrieve the value set with `setForce(boolean)`.

Apache CXF